#! /bin/sh
#
# $Id: build-updates.sh 6999 2010-10-19 03:57:31Z NiLuJe $
#

HACKNAME="jailbreak"
PKGNAME="${HACKNAME}"
PKGVER="0.4.N"

# FW 2.x
KINDLE_MODELS="k2 k2i dx dxi dxg"
for model in ${KINDLE_MODELS} ; do
	# Prepare our files for this specific kindle model...
	ARCH=${PKGNAME}_${PKGVER}_${model}

	cp 2.5-${HACKNAME}.dat update_${ARCH}.dat
	cp 2.5-install.sh install.sh
	cp 2.5-install.sh.sig install.sh.sig

	# Build install update
	tar -czvf ${ARCH}.tgz install.sh install.sh.sig update-adds.tar.gz update_${ARCH}.dat
	./kindle_update_tool.py c --${model} ${ARCH}_install ${ARCH}.tgz

	# Cleanup our temp model-specific files
	rm -rf ${ARCH}.tgz update_${ARCH}.dat install.sh install.sh.sig

	# Build uninstall update
	./kindle_update_tool.py m --sign --${model} ${ARCH}_uninstall uninstall.sh
done

# FW 3.0.x
KINDLE_MODELS="k3g k3w k3gb"

for model in ${KINDLE_MODELS} ; do
	# Prepare our files for this specific kindle model...
	ARCH=${PKGNAME}_${PKGVER}_${model}

	cp 3.0-${HACKNAME}.dat update_${ARCH}.dat
	cp 3.0-${HACKNAME}.dat.sig update_${ARCH}.dat.sig
	ln -sf 3.0-jb-sig 490480060-490488060.ffs

	# Build install update
	tar -czvf ${ARCH}.tgz 490480060-490488060.ffs update_${ARCH}.dat update_${ARCH}.dat.sig 3.0-jb-sig
	./kindle_update_tool.py c --${model} ${ARCH}_install ${ARCH}.tgz

	# Cleanup our temp model-specific files
	rm -rf ${ARCH}.tgz update_${ARCH}.dat update_${ARCH}.dat.sig 490480060-490488060.ffs

	# Build uninstall update
	./kindle_update_tool.py m --sign --${model} ${ARCH}_uninstall uninstall.sh
done

# Move our updates :)
mv -f *.bin ../
